import type { ITribute } from './type';
declare class TributeMenuEvents<T extends {}> {
    removers: (() => void)[];
    tribute: ITribute<T>;
    constructor(tribute: ITribute<T>);
    bind(menu: EventTarget): void;
    unbind(menu: EventTarget): void;
    click(event: Event): void;
    debounce<F extends (...args: unknown[]) => unknown>(func: F, wait: number, immediate: boolean, ...args: Parameters<F>): () => void;
}
export default TributeMenuEvents;
