import type { Coordinate, ITribute, ITributeMenu } from './type';
declare class TributeMenu<T extends {}> implements ITributeMenu<T> {
    element: HTMLElement | null;
    selected: number;
    tribute: ITribute<T>;
    constructor(tribute: ITribute<T>);
    create(doc: Document, containerClass: string): HTMLElement;
    activate(): void;
    deactivate(): void;
    unselect(): void;
    get isActive(): boolean;
    get items(): NodeListOf<HTMLLIElement>;
    get itemDisabled(): boolean;
    up(count: number): void;
    down(count: number): void;
    setActiveLi(index?: number): void;
    positionAtCaret(info: unknown, coordinates: Coordinate): void;
    getDimensions(): {
        width: number | null;
        height: number | null;
    };
}
export default TributeMenu;
